## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.0
%bcond_without check

# Upstream dependencies change often and specific versions are needed that aren't
# always available in Fedora.
%bcond vendor 1

# https://github.com/GoogleCloudPlatform/osconfig
%global goipath         github.com/GoogleCloudPlatform/osconfig
Version:                20240814.00
%global tag             %{version}

%gometa -f

%global common_description %{expand:
Google OS Config Agent}

Name:           google-osconfig-agent
Release:        %autorelease
Summary:        Google OS Config Agent

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

# Bundled dependencies made with mkvendor.sh
Source1:        osconfig-%{version}-vendor.tar.gz

# https://git.sr.ht/~gotmax23/fedora-scripts/tree/main/item/retired/go_vendor_licenses.py
Source2:        LICENSES.dependencies

BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros

# Google Cloud only offers Arm and x86 instances.
ExcludeArch:    ppc64le s390x

%description %{common_description}

%gopkg

%prep
%autosetup -p1 %{forgesetupargs} %{?with_vendor:-b1}
%goprep -e %{?with_vendor:-k}
cp %{SOURCE2} .

# Examples directory isn't needed.
rm -rf examples

# e2e_tests require connectivity to Google's APIs and extra packages.
rm -rf e2e_tests

%generate_buildrequires
%if %{without vendor}
%go_generate_buildrequires
%endif

%build
%gobuild -o %{gobuilddir}/bin/google_osconfig_agent %{goipath}

%install
install -m0755 -vd                      %{buildroot}%{_bindir}
install -m0755 -vp %{gobuilddir}/bin/*  %{buildroot}%{_bindir}/
install -m0644 -Dp %{name}.service      %{buildroot}%{_unitdir}/%{name}.service

%if %{with check}
%check
# Skip some tests that require network access when they run.
%gocheck -d config -d policies
%endif

%files
%license LICENSE %{?with_vendor:vendor/modules.txt LICENSES.dependencies}
%doc CONTRIBUTING.md README.md
%{_bindir}/google_osconfig_agent
%{_unitdir}/%{name}.service

%post
%systemd_post %{name}
 
%preun
%systemd_preun %{name}
 
%postun
%systemd_postun_with_restart %{name}

%changelog
## START: Generated by rpmautospec
* Wed Aug 14 2024 Major Hayden <major@redhat.com> - 20240814.00-1
- Update to 20240812.00 rhbz#2304839

* Tue Aug 13 2024 Major Hayden <major@redhat.com> - 20240809.00-1
- Update to 20240809.00 rhbz#2303291

* Mon Aug 05 2024 Major Hayden <major@redhat.com> - 20240801.00-1
- Update to 20240801.00 rhbz#2299623

* Tue Jul 23 2024 Major Hayden <major@redhat.com> - 20240718.00-1
- Update to 20240718.00 rhbz#2296816

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20240708.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 09 2024 Major Hayden <major@redhat.com> - 20240708.00-1
- Update to 20240708.00 rhbz#2296476

* Mon Jul 08 2024 Major Hayden <major@redhat.com> - 20240705.01-1
- Update to 20240705.01 rhbz#2295491

* Tue Jun 25 2024 Major Hayden <major@redhat.com> - 20240620.00-1
- Update to 20240620.00 rhbz#2292630

* Mon Jun 10 2024 Major Hayden <major@redhat.com> - 20240607.00-1
- Update to 20240607.00 rhbz#2290822

* Wed Jun 05 2024 Major Hayden <major@redhat.com> - 20240604.01-1
- Update to 20240604.01 rhbz#2290307

* Thu May 30 2024 Major Hayden <major@redhat.com> - 20240529.00-1
- Update to 20240529.00 rhbz#2283650

* Tue May 28 2024 Major Hayden <major@redhat.com> - 20240524.03-1
- Update to 20240524.03 rhbz#2283077

* Mon May 20 2024 Major Hayden <major@redhat.com> - 20240517.00-1
- Update to 20240517.00 rhbz#2281267

* Tue May 07 2024 Major Hayden <major@redhat.com> - 20240506.00-2
- Skip packit PRs

* Tue May 07 2024 Major Hayden <major@redhat.com> - 20240506.00-1
- Update to 20240506.00 rhbz#2279445

* Thu May 02 2024 Major Hayden <major@redhat.com> - 20240501.03-1
- Update to 20240501.03 rhbz#2278571

* Wed May 01 2024 Major Hayden <major@redhat.com> - 20240430.01-1
- Update to 20240430.01 rhbz#2278062

* Fri Apr 26 2024 Major Hayden <major@redhat.com> - 20240425.00-2
- packit: rawhide only

* Fri Apr 26 2024 Major Hayden <major@redhat.com> - 20240425.00-1
- Update to 20240425.00 rhbz#2277240

* Thu Apr 25 2024 Major Hayden <major@redhat.com> - 20240424.00-1
- Update to 20240424.00 rhbz#2276598

* Wed Apr 10 2024 Major Hayden <major@redhat.com> - 20240409.00-1
- Update to 20240409.00 rhbz#2274185

* Wed Apr 10 2024 Major Hayden <major@redhat.com> - 20231219.00-1
- Update to 20231219.00 rhbz#2250446

* Wed Apr 10 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231107.00-5
- Unretirement Releng Request: https://pagure.io/releng/issue/12058

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 20231107.00-4
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231107.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231107.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 08 2023 Packit <hello@packit.dev> - 20231107.00-1
- [packit] 20231107.00 upstream release
- Resolves rhbz#2248651

* Tue Nov 07 2023 Major Hayden <major@redhat.com> - 20231103.02-1
- Update to 20231103.02 rhbz#2240026

* Tue Nov 07 2023 Major Hayden <major@redhat.com> - 20230920.00-3
- Update packit config

* Thu Sep 21 2023 Major Hayden <major@redhat.com> - 20230920.00-2
- Update to 20230920.00

* Thu Sep 21 2023 Major Hayden <major@redhat.com> - 20230920.00-1
- Update to 20230920.00

* Thu Sep 14 2023 Major Hayden <major@redhat.com> - 20230912.01-1
- Update to 20230912.01

* Thu Sep 14 2023 Major Hayden <major@redhat.com> - 20230829.00-2
- Add packit config

* Fri Sep 01 2023 Major Hayden <major@redhat.com> - 20230829.00-1
- Update to 20230829.00

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230706.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Major Hayden <major@redhat.com> - 20230706.02-1
- Update to 20230706.02 rhbz#2221164

* Mon Jun 12 2023 Major Hayden <major@redhat.com> - 20230605.00-1
- Update to 20230605.00 rhbz#2212002

* Mon May 08 2023 Major Hayden <major@redhat.com> - 20230504.00-1
- Update to 20230504.00 rhbz#2193473

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 20230403.00-1
- Update to 20230403.00 rhbz#2183613

* Tue Mar 28 2023 Major Hayden <major@redhat.com> - 20230327.00-1
- Update to 20230327.00 rhbz#2172747

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 20230217.00-1
- Update to 20230217.00 rhbz#2170934

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 20230208.00-2
- Exclude some additional tests

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 20230208.00-1
- Update to 20230208.00 rhbz#2163679

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221214.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 05 2023 Major Hayden <major@redhat.com> - 20221214.00-2
- Skip the agentendpoint test

* Thu Jan 05 2023 Major Hayden <major@redhat.com> - 20221214.00-1
- Update to 20221214.00 rhbz#2153633

* Tue Oct 18 2022 Major Hayden <major@redhat.com> - 20221013.01-1
- Update to 20221013.01 rhbz#2135016

* Tue Aug 30 2022 Major Hayden <major@redhat.com> - 20220829.00-1
- Update to 20220829.00 rhbz#2122530

* Thu Aug 25 2022 Major Hayden <major@redhat.com> - 20220824.00-2
- Remove commented preset lines

* Thu Aug 25 2022 Major Hayden <major@redhat.com> - 20220824.00-1
- Update to 20220824.00 rhbz#2121287

* Tue Aug 23 2022 Major Hayden <major@redhat.com> - 20220801.00-1
- Initial import rhbz#2120396
## END: Generated by rpmautospec
